unit uPorto;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    BestellEin: TEdit;
    Label1: TLabel;
    RechnungAus: TLabel;
    Rechne: TButton;
    procedure RechneClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.RechneClick(Sender: TObject);
const porto = 1.50;
var bestellwert, rechnung : real;
begin
   bestellwert := strtofloat(BestellEin.text);
   rechnung := bestellwert;
   if bestellwert < 50 then rechnung := rechnung + porto;
   RechnungAus.Caption := 'Ihr Rechnungsbetrag lautet: ' +#13+ #13+ floattostr(rechnung)+' DM'
end;

end.
